package com.persagy.common.constant;
/***
 * @Description: 连接数据中台应用的通用常量值
 * @author: lijie
 * @Date:2020/10/19 10:47
 * Update By lijie 2020/10/19 10:47
 */
public interface DMPConstant {
    /**
     * 数据中台异常错误结果信息
     */
    String DMP_ERROR_MSG = "DMP服务响应异常";

    /**
     * 数据中台服务响应数据的result success 代表成功
     */
    String DMP_RESULT_KEY = "result";
    String DMP_RESULT_VAL = "success";
    String DMP_FAIL_RESULT = "fail";
    String DMP_FAIL_MSG = "message";

    /**
     * 数据中台服务返回的数据内容-key
     */
    String DMP_DATA_KEY = "data";

    /**
     * 数据中台服务返回的数据条目数-key
     */
    String DMP_COUNT_KEY = "count";

    /**
     * DMP 对接 所需要的header-key
     */
    String DMP_HEADER_USERID = "user-id";
    String DMP_HEADER_GROUPCODE = "group-code";
    String DMP_HEADER_PROJECTID = "project-id";
    String DMP_HEADER_APPID = "app-id";

    /**
     * DMP 对接 所需要的属性key
     */
    String DMP_USERID = "userId";
    String DMP_GROUPCODE = "groupCode";
    String DMP_PROJECTID = "projectId";
    String DMP_APPID = "appId";

}
