package com.persagy.common.utils;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @description
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:17:08
 */
@Getter
@Setter
@ToString
public class ResponseResult implements Serializable {
    private static final long serialVersionUID = -5424463986046237843L;

    private String respCode;			// 响应码

    private String respMsg;				// 响应描述

    private Object content; 			// 响应数据，实际可以是请求体，也可以是响应体，随意

    private Long count;				// 响应数据总记录数

    public ResponseResult() {

    }

    public ResponseResult(String respCode, String respMsg) {
        this.respCode = respCode;
        this.respMsg = respMsg;
    }

    public ResponseResult(String respCode, String respMsg,  Object content) {
        this.respCode = respCode;
        this.respMsg = respMsg;
        this.content = content;
    }

    public ResponseResult(String respCode, String respMsg, Object content, Long count) {
        this.respCode = respCode;
        this.respMsg = respMsg;
        this.content = content;
        this.count = count;
    }

}
