package com.persagy.common.redis.factory;

import com.persagy.common.redis.constant.RedisToolsConstant;
import com.persagy.common.redis.properties.RedissonProperties;
import com.persagy.common.utils.StringUtil;
import org.redisson.api.RedissonClient;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月14日:	下午2:21:46
 */
public class RedissonClientFactory {
	
	public static RedissonClient redissonClient(RedissonProperties redissonProperties) {
		switch (redissonProperties.getModel()) {
			case SINGLE:
				return SingleRedissionConfig.redissonClient(redissonProperties);
			case SENTINEL:
				return SentinelRedissionConfig.redissonClient(redissonProperties);
			case MASTERSLAVE:
				return MasterSlaveRedissionConfig.redissonClient(redissonProperties);
			case CLUSTER:
				return ClusterRedissionConfig.redissonClient(redissonProperties);
			case REPLICATED:
				return ReplicatedRedissionConfig.redissonClient(redissonProperties);
			default:
				return SingleRedissionConfig.redissonClient(redissonProperties);
		}
	}
	
	public static String prefixAddress(String address){
		if (StringUtil.isBlank(address)) {
			throw new NullPointerException("redis conection address is empty ...");
		}
        return RedisToolsConstant.REDIS_ADDRESS_PREFIX + address;
    }
    
}
