package com.persagy.common.redis.model;

public enum CodecModel {
    /**Jackson JSON 编码 默认编码*/
    JSON_JACKSON_CODEC("org.redisson.codec.JsonJacksonCodec"),
    /**Avro 一个二进制的JSON编码*/
    AVRO_JACKSON_CODEC("org.redisson.codec.AvroJacksonCodec"),
    /**Smile 另一个二进制的JSON编码*/
    SMILE_JACKSON_CODEC("org.redisson.codec.SmileJacksonCodec"),
    /**CBOR又一个二进制的JSON编码*/
    CBOR_JACKSON_CODEC("org.redisson.codec.CborJacksonCodec"),
    /**MsgPack 再来一个二进制的JSON编码*/
    MSG_PACK_JACKSON_CODEC("org.redisson.codec.MsgPackJacksonCodec"),
    /**Amazon Ion 亚马逊的Ion编码，格式与JSON类似*/
    ION_JACKSON_CODEC("org.redisson.codec.IonJacksonCodec"),
    /**Kryo 二进制对象序列化编码*/
    KRYO_CODEC("org.redisson.codec.KryoCodec"),
    /**JDK序列化编码*/
    SERIALIZATION_CODEC("org.redisson.codec.SerializationCodec"),
    /**FST 10倍于JDK序列化性能而且100%兼容的编码*/
    FST_CODEC("org.redisson.codec.FstCodec"),
    /**LZ4 压缩型序列化对象编码*/
    LZ4_CODEC("org.redisson.codec.LZ4Codec"),
    /**Snappy 另一个压缩型序列化对象编码*/
    SNAPPY_CODEC("org.redisson.codec.SnappyCodec"),
    /**基于Jackson的映射类使用的编码。可用于避免序列化类的信息，以及用于解决使用byte[]遇到的问题。*/
    JSON_JACKSON_MAP_CODEC("org.redisson.client.codec.JsonJacksonMapCodec"),
    /**纯字符串编码（无转换）*/
    STRING_CODEC("org.redisson.client.codec.StringCodec"),
    /**纯整长型数字编码（无转换）*/
    LONG_CODEC("org.redisson.client.codec.LongCodec"),
    /**字节数组编码*/
    BYTE_ARRAY_CODEC("org.redisson.client.codec.ByteArrayCodec"),
    /**用来组合多种不同编码在一起*/
    COMPOSITE_CODEC("org.redisson.codec.CompositeCodec");

    private String codecType;
    CodecModel(String codecType){this.codecType=codecType;}

    public String getCodecType() {
        return codecType;
    }
}
